<?php
defined('BASEPATH') or exit('No direct script access allowed');
class Login extends CI_Controller
{
	//To load initial libraries, functions
	function __construct()
	{
		parent::__construct();
		$this->load->helper('url');
		$this->load->helper('directory');
		$this->load->helper('form');
		$this->load->library('form_validation');
		$this->load->model('common');
		$this->load->library('session');
		// $this->load->database();
	}
	//To load login page
	public function index()    //Login Controller
	{
		// print_r($this->session->userdata('session_data'));
		// exit;
		if (!empty($this->session->userdata('session_data'))) {
			$url = base_url('dashboard');
			header("location: $url");
		} else {
			$this->load->view('login');
		}
	}
	//To login functionality check
	public function login_action()
	{
		// print_r("hello");
		// exit;
		$email = $this->input->post("email");
		$password = $this->input->post("password");

		$firebase = $this->firebase->init();

		$auth = $firebase->createAuth();
			$adminlist = $this->common->readdatafromcollectionwhereclause("Users", 'userRole', '=', 'admin');

			$flag=0;
			foreach ($adminlist as $key => $value) {
				if($value['email']==$email && $value['password']==$password){
					$flag==$key;
			$session_data = array(
				'userId' => $key,
				'name' => $value["fullName"],
				'email' => $value["email"],
				'permissions' => 'all',
				'firebaseToken' => ''
			);
			$this->session->set_userdata('session_data', $session_data);
			$this->session->set_userdata('authenthicate', true);
		
			redirect(base_url('dashboard'));			
			exit;
				}
			}
			if($flag==0){
$this->session->set_flashdata('warningmessage', 'Invalid email and/or password1 !');
			redirect(base_url('login'));
			}

	}

	//To logout session from browser
	public function logout()
	{
		// Removing session data
		$sess_array = array('userId' => '');
		$this->session->unset_userdata('session_data', $sess_array);
		$this->session->sess_destroy();
		$this->session->set_flashdata('successmessage', 'Successfully Logged out !');
		redirect('login');
	}
}
